# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{ruby-debug}
  s.version = "0.10.4"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Kent Sibilev"]
  s.date = %q{2010-10-27}
  s.default_executable = %q{rdebug}
  s.description = %q{A generic command line interface for ruby-debug.
}
  s.email = %q{ksibilev@yahoo.com}
  s.executables = ["rdebug"]
  s.extra_rdoc_files = ["README"]
  s.files = ["cli/ruby-debug.rb", "cli/ruby-debug/processor.RB", "cli/ruby-debug/helper.rb", "cli/ruby-debug/debugger.rb", "cli/ruby-debug/commands/source.rb", "cli/ruby-debug/commands/set.rb", "cli/ruby-debug/commands/raise.RB", "cli/ruby-debug/commands/breakpoints.rb", "cli/ruby-debug/commands/list.rb", "cli/ruby-debug/commands/display.rb", "cli/ruby-debug/commands/continue.RB", "cli/ruby-debug/commands/trace.rb", "cli/ruby-debug/commands/frame.rb", "cli/ruby-debug/commands/show.rb", "cli/ruby-debug/commands/save.rb", "cli/ruby-debug/commands/variables.rb", "cli/ruby-debug/commands/threads.rb", "cli/ruby-debug/commands/disassemble.RB", "cli/ruby-debug/commands/irb.rb", "cli/ruby-debug/commands/tmate.rb", "cli/ruby-debug/commands/kill.rb", "cli/ruby-debug/commands/catchpoint.rb", "cli/ruby-debug/commands/quit.rb", "cli/ruby-debug/commands/method.rb", "cli/ruby-debug/commands/finish.rb", "cli/ruby-debug/commands/enable.rb", "cli/ruby-debug/commands/stepping.rb", "cli/ruby-debug/commands/edit.rb", "cli/ruby-debug/commands/help.rb", "cli/ruby-debug/commands/reload.rb", "cli/ruby-debug/commands/eval.rb", "cli/ruby-debug/commands/info.rb", "cli/ruby-debug/commands/continue.rb", "cli/ruby-debug/commands/source.RB", "cli/ruby-debug/commands/control.rb", "cli/ruby-debug/commands/condition.rb", "cli/ruby-debug/interface.rb", "cli/ruby-debug/command.rb", "cli/ruby-debug/processor.rb", "README", "bin/rdebug"]
  s.homepage = %q{http://rubyforge.org/projects/ruby-debug/}
  s.require_paths = ["cli"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.8.2")
  s.rubyforge_project = %q{ruby-debug}
  s.rubygems_version = %q{1.5.2}
  s.summary = %q{Command line interface (CLI) for ruby-debug-base}

  if s.respond_to? :specification_version then
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<columnize>, [">= 0.1"])
      s.add_runtime_dependency(%q<ruby-debug-base>, ["= 0.10.4"])
    else
      s.add_dependency(%q<columnize>, [">= 0.1"])
      s.add_dependency(%q<ruby-debug-base>, ["= 0.10.4"])
    end
  else
    s.add_dependency(%q<columnize>, [">= 0.1"])
    s.add_dependency(%q<ruby-debug-base>, ["= 0.10.4"])
  end
end
